<?php
/**
 * TOP API: alibaba.alihealth.drug.query.ent.auth.progress request
 * 
 * @author auto create
 * @since 1.0, 2025.01.16
 */
class AlibabaAlihealthDrugQueryEntAuthProgressRequest
{
	/** 
	 * D2D企业授权记录入参
	 **/
	private $paramDto;
	
	private $apiParas = array();
	
	public function setParamDto($paramDto)
	{
		$this->paramDto = $paramDto;
		$this->apiParas["param_dto"] = $paramDto;
	}

	public function getParamDto()
	{
		return $this->paramDto;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.drug.query.ent.auth.progress";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
